package Interface;
/*Crear el gestor de pestañas el cual incluirá dos pestañas, una para predecir el estado del flujo de tráfico y otro el estado futuro.*/
public class Frame extends javax.swing.JFrame {
    public Frame() throws Exception {
        initComponents();
        initDefaultTables();
        setLocationRelativeTo(null);
    }
    
     public void initDefaultTables() throws Exception {
        Pane.add("Mapa de Oporto", new VisualizeFlowTrafficOporto());
        Pane.add("Mapa Predictivo de Oporto", new VisualizeFutureFlowTrafficOporto());
    }
     
     public static void main(String[] args) throws Exception {
        Frame frame = new Frame();
        frame.setVisible(true);
        
    }    
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Pane = new javax.swing.JTabbedPane();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Flujo de Trafico Oporto");
        setAlwaysOnTop(true);
        setLocationByPlatform(true);
        setPreferredSize(new java.awt.Dimension(1200, 800));
        setResizable(false);

        Pane.setAlignmentX(10.0F);
        Pane.setAlignmentY(10.0F);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(Pane, javax.swing.GroupLayout.DEFAULT_SIZE, 1800, Short.MAX_VALUE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(Pane, javax.swing.GroupLayout.DEFAULT_SIZE, 1000, Short.MAX_VALUE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTabbedPane Pane;
    // End of variables declaration//GEN-END:variables
}
