package DataPreprocessing;

import java.util.ArrayList;
/*Clase que se utiliza para almacenar la latitud y longitud con el objetivo de calular el
atributo mediumDistance */
public class SaveLatitudeAndLongitudePerHour {
    
    private ArrayList<Double> latitude;
    private ArrayList<Double> longitude;
    
    public SaveLatitudeAndLongitudePerHour(){
        latitude = new ArrayList<Double>();
        longitude = new ArrayList<Double>();
    }
    /*Limpiar listas*/
    public void clean(){
        latitude.removeAll(latitude);
        longitude.removeAll(longitude);
    }
    /*Añadir una latitud y longitud*/
    public void add(double latitude,double longitude){
        this.longitude.add(longitude);
        this.latitude.add (latitude);
    }
    /*Calcular distancia media*/
    public double distance(){
        double mediumDistance = 0;
        int count = 0;
        for(int i = 0; i<longitude.size();i++){
            for(int j = i + 1; j < longitude.size();j++){
                double euclideanDistance =  Math.sqrt(Math.pow(longitude.get(i)-longitude.get(j), 2) + Math.pow(latitude.get(i)- latitude.get(j), 2));
                mediumDistance += euclideanDistance;
                count++;
            }
        }
        return mediumDistance/count;
    }
    public int tam(){
        return latitude.size();
    }
}
