package Interface;
import java.awt.Color;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JButton;
import javax.swing.border.Border;
import javax.swing.border.LineBorder;
/*Clase que contiene todas las funciones de la pestaña que predice el estado futuro del flujo de trafico de oporto*/
public class VisualizeFutureFlowTrafficOporto extends javax.swing.JPanel {
    static List <JButton>  buttons;
    public VisualizeFutureFlowTrafficOporto() throws Exception {
        initComponents();
        buttons = new ArrayList<>();
        initComponents();
        cellSet();
    }
    /*Rellenar el panel con todos los botones que representan las celdas en las que hemos dividido el mapa de Oporto*/
    public void cellSet(){
        Border border = new LineBorder(Color.BLACK, 1);
        double longitudeMin = -8.684;
        double latitudeMin = 41.236;
        double latitudeMax = 41.240;
        double longitudeMax = -8.680;
        JButton button;
        for(int i = 21; i >= 0;i--){
            for(int j = 0; j < 36; j++){
                button = new JButton();
                button.setBorder(border);
                button.setToolTipText("<html> Latitud Mínima: " + Double.toString(latitudeMin) + "<br/>" + " Latitud Maxima: " + Double.toString(latitudeMax) + "<br/>" + "Longitud Mínima: " + Double.toString(longitudeMin) +  "<br/>" + "Longitud Máxima: " +  Double.toString(longitudeMax) + " </html>" );
                buttons.add(button);
                panel.add(button);
                longitudeMin += 0.004;
                longitudeMax += 0.004;
                longitudeMin = Math.rint(longitudeMin*1000)/1000;
                longitudeMax = Math.rint(longitudeMax*1000)/1000;
            }
            latitudeMin -= 0.004;
            latitudeMin = Math.rint(latitudeMin*1000)/1000;
            latitudeMax -= 0.004;
            latitudeMax = Math.rint(latitudeMax*1000)/1000;
            longitudeMin = -8.684;
            longitudeMax = -8.680;
        }
    }
    public static List getButtons(){
        return buttons;
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelLegend = new javax.swing.JPanel();
        labelFree = new javax.swing.JLabel();
        labelSyncrhonized = new javax.swing.JLabel();
        labelCongested = new javax.swing.JLabel();
        buttonSyncrhonized = new javax.swing.JButton();
        buttonCongested = new javax.swing.JButton();
        buttonFree = new javax.swing.JButton();
        panel = new javax.swing.JPanel();

        setPreferredSize(new java.awt.Dimension(1200, 800));

        panelLegend.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)), "Leyenda"));

        labelFree.setText("Libre");

        labelSyncrhonized.setText("Sincronizado");

        labelCongested.setText("Congestionado");

        buttonSyncrhonized.setBackground(new java.awt.Color(255, 153, 0));

        buttonCongested.setBackground(new java.awt.Color(255, 0, 0));
        buttonCongested.setText(" ");

        buttonFree.setBackground(new java.awt.Color(51, 255, 0));
        buttonFree.setPreferredSize(new java.awt.Dimension(33, 23));

        javax.swing.GroupLayout panelLegendLayout = new javax.swing.GroupLayout(panelLegend);
        panelLegend.setLayout(panelLegendLayout);
        panelLegendLayout.setHorizontalGroup(
            panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelLegendLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(panelLegendLayout.createSequentialGroup()
                        .addComponent(labelFree, javax.swing.GroupLayout.PREFERRED_SIZE, 68, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(40, 40, 40)
                        .addComponent(buttonFree, javax.swing.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE))
                    .addGroup(panelLegendLayout.createSequentialGroup()
                        .addComponent(labelSyncrhonized)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(buttonSyncrhonized, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(panelLegendLayout.createSequentialGroup()
                        .addComponent(labelCongested)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(buttonCongested, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(50, Short.MAX_VALUE))
        );
        panelLegendLayout.setVerticalGroup(
            panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelLegendLayout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(labelFree, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(buttonFree, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(labelSyncrhonized)
                    .addComponent(buttonSyncrhonized, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(20, 20, 20)
                .addGroup(panelLegendLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(buttonCongested, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(labelCongested))
                .addContainerGap(29, Short.MAX_VALUE))
        );

        panel.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        panel.setPreferredSize(new java.awt.Dimension(650, 450));
        panel.setLayout(new java.awt.GridLayout(22, 36));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(26, 26, 26)
                .addComponent(panelLegend, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(59, 59, 59)
                .addComponent(panel, javax.swing.GroupLayout.PREFERRED_SIZE, 850, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(35, 35, 35)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(panelLegend, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(panel, javax.swing.GroupLayout.PREFERRED_SIZE, 700, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(65, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonCongested;
    private javax.swing.JButton buttonFree;
    private javax.swing.JButton buttonSyncrhonized;
    private javax.swing.JLabel labelCongested;
    private javax.swing.JLabel labelFree;
    private javax.swing.JLabel labelSyncrhonized;
    private javax.swing.JPanel panel;
    private javax.swing.JPanel panelLegend;
    // End of variables declaration//GEN-END:variables
}
